import { Sample } from "../Sample";

/**
 * 建筑
 */
export class Building extends Sample {
	/**
	 * 建筑类型
	 */
    public type: number;
    /**
     * 等级
     */
    public level: number;
    /**
     * 面板prefab
     */
    public formPrefabName: string;

    public init(jsonTable: any): void {
        super.init(jsonTable);
        this.level = Number(jsonTable.level);
        this.type = Number(jsonTable.type);
        this.formPrefabName = jsonTable.formPrefabName;
    }
}